<?php
    @session_start();
    header( "Content-type: text/html; charset=utf-8" );
    error_reporting(E_ALL);
	ini_set(“display_errors”, 1 );

    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    include "config/conf.php";

    $id = $_GET["id"]; 
    $cliente_id = $_GET["cliente_id"];

    $sql = "select * from arquivo where id = ? and cliente_id = ? limit 1";
	$consulta = $db->prepare($sql);
	$consulta->bindParam(1, $id);
	$consulta->bindParam(2, $cliente_id);
	$consulta->execute();


	$dados = $consulta->fetch(PDO::FETCH_OBJ);

	if ( empty ( $dados->id ) ) {

		echo "<script>alert('Arquivo não encontrado!');window.close();</script>";

	} else {

		$aquivoNome = "../../downloads/$dados->arquivo";

		if ( file_exists ( $aquivoNome) ) {

			// Configuramos os headers que serão enviados para o browser
			header('Content-Description: File Transfer');
			header('Content-Disposition: attachment; filename="BOLETO_'.$dados->cliente_id.'.pdf"');
			header('Content-Type: application/octet-stream');
			header('Content-Transfer-Encoding: binary');
			header('Content-Length: ' . filesize($aquivoNome));
			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
			header('Pragma: public');
			header('Expires: 0');
			// Envia o arquivo para o cliente
			readfile($aquivoNome);

		} else {

			echo "<script>alert('Arquivo não localizado!');</script>";

		}

	}

